> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# OIDC auto-discovery

> Fetch and parse the OIDC well-known/openid-configuration document.



## OpenAPI

````yaml get /api/identity-providers/discover
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/identity-providers/discover:
    get:
      tags:
        - Identity providers
      summary: OIDC auto-discovery
      description: Fetch and parse the OIDC well-known/openid-configuration document.
      operationId: discover_oidc_api_identity_providers_discover_get
      parameters:
        - name: issuer_url
          in: query
          required: true
          schema:
            type: string
            description: OIDC issuer URL.
            title: Issuer Url
          description: OIDC issuer URL.
      responses:
        '200':
          description: Parsed OIDC discovery endpoints
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OidcDiscoveryResponse'
        '403':
          description: Forbidden
        '422':
          description: Discovery failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    OidcDiscoveryResponse:
      properties:
        authorization_endpoint:
          type: string
          title: Authorization Endpoint
        token_endpoint:
          type: string
          title: Token Endpoint
        userinfo_endpoint:
          anyOf:
            - type: string
            - type: 'null'
          title: Userinfo Endpoint
        issuer:
          type: string
          title: Issuer
        jwks_uri:
          anyOf:
            - type: string
            - type: 'null'
          title: Jwks Uri
      type: object
      required:
        - authorization_endpoint
        - token_endpoint
        - issuer
      title: OidcDiscoveryResponse
      description: Parsed OIDC discovery document.
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````